YUI Flash Component Documentation |
Class LayoutModeUtil

Package | com.yahoo.astra.layout.modes
Class | public class LayoutModeUtil

Utility functions shared by implementations of ILayoutMode.

See also

ILayoutMode

Public Methods

| Method | Defined by
--- | --- | ---
|  | calculateChildBounds(children:Array):Rectangle [static] Calculates the rectangular bounds occupied by the target's children. | LayoutModeUtil

Method detail

calculateChildBounds | () | method

`public static function calculateChildBounds(children:Array):Rectangle`

Calculates the rectangular bounds occupied by the target's children.

Parameters

| `children:Array` — The set of children to use to calculate the maximum bounds

Returns

| `Rectangle`